## chiark-tcl 1.3.7

=== Makefile ===

SUBDIRS=	base adns hbytes cdb crypto dgram

ifneq ($(wildcard /usr/include/linux/if_tun.h),)
SUBDIRS+=	tuntap
endif

ifneq ($(wildcard /usr/include/wiringPi.h /usr/include/arm-*/wiringPi.h),)
SUBDIRS+=	wiringpi
endif

default: all

clean all debian-substvars:
	set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done

# To find undefined symbols when implementing, for example:
#
# liberator:chiark-tcl> LD_LIBRARY_PATH=:adns:base:cdb:crypto:dgram:hbytes:tuntap tclsh8.3
# % load chiark_tcl_tuntap-1.so
# couldn't load file "chiark_tcl_tuntap-1.so": tuntap/chiark_tcl_tuntap-1.so: undefined symbol: cht_tunsocket_entries
# %

=== cdb/Makefile ===
# cdb, cdb-wr - Tcl bindings for tinycdb and a journalling write extension
# Copyright 2006-2012 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, see <http://www.gnu.org/licenses/>.


BASE_DIR =	../base
EXTBASE =	cdb
CFILES =	readonly writeable lookup
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS +=	hbytes/hbytes
LDLIBS +=	-lcdb

include ../base/extension.make

# eg, for testing:
# liberator:cdb> LD_LIBRARY_PATH=../base:../hbytes:. tclsh8.3
# % load chiark_tcl_cdb.so
# % cdb
# wrong # args: should be "cdb subcmd ..."
# % cdb open
# wrong # args: should be "cdb open path"
# % 
# liberator:cdb>

=== crypto/Makefile ===
# crypto - Tcl bindings for parts of the `nettle' crypto library
# Copyright 2006-2012 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, see <http://www.gnu.org/licenses/>.


BASE_DIR =	../base
EXTBASE =	crypto
CFILES =	algtables bcmode crypto hook hash
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS =	hbytes/hbytes
LDLIBS +=	-lnettle

include ../base/extension.make

=== tuntap/Makefile ===
BASE_DIR =	../base
EXTBASE =	tuntap
CFILES =	tuntap
OTHER_TCTS =	../hbytes/hbytes-base.tct
OTHER_EXTS =	hbytes/hbytes dgram/dgram
##LDLIBS +=	-ladns

include ../base/extension.make

=== debian/changelog ===
chiark-tcl (1.3.7) unstable; urgency=medium

  * crypto: Support SHA-3.  Closes: #1083221.
  * Add missing Closes: 1106452 to changelog entry for 1.3.6.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 24 May 2025 20:29:06 +0100

=== debian/control ===
Source: chiark-tcl
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Priority: optional
Section: interpreters
Standards-Version: 3.9.1
Build-Depends: libadns1-dev (>= 1.2), nettle-dev (>= 3.6), libcdb-dev | tinycdb (<= 0.75), tcl8.6-dev | tcl8.5-dev | tcl8.4-dev | tcl8.3-dev | tcl8.2-dev | tcl-dev, debhelper (>= 5)

Package: libtcl-chiark-1
Architecture: any
Description: Tcl interfaces for adns, cdb, crypto, etc.
 Tcl bindings for:
  * adns (resolver library)
  * cdb (constant database) plus journalling writable database
  * crypto: the nettle cryptographic library
  * hbytes: bytestrings with hex as string representation but efficient
  * dgram: datagram sockets
  * tuntap: tun/tap interfaces
  * maskmap: address masks and maps
 To make sensible use of these you will need a version of Tcl installed
 (this package is compatible with at least Tcl 8.0 to 8.4 inclusive).
 To use the adns and nettle bindings you need to have the
 appropriate libraries installed too.
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-arch: same


# chiark-tcl - various Tcl bindings and extensions
# Copyright 2006-2012 Ian Jackson
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, see <http://www.gnu.org/licenses/>.

=== debian/tests/control ===
Tests: adns--def
Depends: tcl, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet

Tests: adns--8.5
Depends: tcl8.5, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: adns--8.6
Depends: tcl8.6, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: adns--8.7
Depends: tcl8.7, libadns1t64 (>= 1.5.0~), libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: needs-internet skip-not-installable

Tests: cdb--def
Depends: tcl, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: cdb--8.5
Depends: tcl8.5, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: cdb--8.6
Depends: tcl8.6, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: cdb--8.7
Depends: tcl8.7, libc6 (>= 2.33), libcdb1 (>= 0.76), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: crypto--def
Depends: tcl, libc6 (>= 2.14), libnettle8t64 (>= 3.6), libtcl-chiark-1 (>= 1.3.5+b1), libdigest-sha3-perl
Restrictions:

Tests: crypto--8.5
Depends: tcl8.5, libc6 (>= 2.14), libnettle8t64 (>= 3.6), libtcl-chiark-1 (>= 1.3.5+b1), libdigest-sha3-perl
Restrictions: skip-not-installable

Tests: crypto--8.6
Depends: tcl8.6, libc6 (>= 2.14), libnettle8t64 (>= 3.6), libtcl-chiark-1 (>= 1.3.5+b1), libdigest-sha3-perl
Restrictions: skip-not-installable

Tests: crypto--8.7
Depends: tcl8.7, libc6 (>= 2.14), libnettle8t64 (>= 3.6), libtcl-chiark-1 (>= 1.3.5+b1), libdigest-sha3-perl
Restrictions: skip-not-installable

Tests: dgram--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: dgram--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: dgram--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: dgram--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--def
Depends: tcl, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: hbytes--8.5
Depends: tcl8.5, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--8.6
Depends: tcl8.6, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: hbytes--8.7
Depends: tcl8.7, libc6 (>= 2.14), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: tuntap--def
Depends: tcl, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions:

Tests: tuntap--8.5
Depends: tcl8.5, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

Tests: tuntap--8.6
Depends: tcl8.6, libc6 (>= 2.2.5), libtcl-chiark-1 (>= 1.3.5+b1)
Restrictions: skip-not-installable

## chiark-tcl 1.3.7build1

=== debian/changelog ===
chiark-tcl (1.3.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:30 +0100
